<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <h4>Current count: <span id= "current-count"></span></h4>
    <button id="increament-count"> Increment count</button>

    <script>
        var currentCount = document.getElementById("current-count");
        var incrementButton = document.getElementById("increment-count");

    if(localStorage.getItem("count")=== null) {
        console.log("count nu ka vlere");
        localStorage.setItem("count","0");

        currentCount.innerText = "0";
    } else{
        currentCount.innerText = localStorage.getItem("count");
    }

    incrementButton.addEventListener("click", (event) =>{
        event.preventDefault();

        var latestCount = parseInt(localStorage.getItem("count"));

        latestCount++;

        localStorage.setItem("count", latestCount + "")

        currentCount.innerText = latestCount;
    });
    </script>
</body>
</html>